<?

include("hue_include.ips.php");
include("IPSInstaller.ips.php");

$json_url = 'http://'.$hue_bridge_ip.'/api/'.$hue_key;

$ch = curl_init( $json_url );
// Configuring curl options
$options = array(
               CURLOPT_RETURNTRANSFER => true,
               CURLOPT_CUSTOMREQUEST => 'GET', // -X
               CURLOPT_HTTPHEADER => array('Content-type: application/json') ,
               // CURLOPT_POSTFIELDS => $json_string
               );

// Setting curl options
curl_setopt_array( $ch, $options );

// Getting results
$json_result =  curl_exec($ch);
$result = json_decode($json_result);

// print_r ($result);

$idCatLights = CreateCategory("Lights",IPS_GetParent($_IPS['SELF']),0);


$id = 0;
foreach ($result->lights as $light) {
	$id=$id+1;
	// print_r($light);

   $myLight = hue_createLight($id, $idCatLights, utf8_decode ($light->name));
	SetValue(IPS_GetVariableIDByName ("Status", $myLight),$light->state->on);
	SetValue(IPS_GetVariableIDByName ("Hue", $myLight),$light->state->hue);
	SetValue(IPS_GetVariableIDByName ("Temperatur", $myLight),$light->state->ct);
	SetValue(IPS_GetVariableIDByName ("Helligkeit", $myLight),$light->state->bri);
	SetValue(IPS_GetVariableIDByName ("Sttigung", $myLight),$light->state->sat);

	// echo $light->state->on;
	// echo $light->state->bri;
	// echo $light->state->hue;
	// echo $light->state->sat;
	// echo $light->state->ct;
	// echo $light->state->colormode;
	// echo $light->state->reachable;
	// echo utf8_decode ($light->name)."\n";
	// echo $light->type;
	// echo $light->modelid;

}

function hue_createLight($id, $parentID, $name){

	$action_script = IPS_GetObjectIDByName("hue_Action", IPS_GetParent($parentID));
	$item = CreateInstance($name, $parentID, "{485D0419-BE97-4548-AA9C-C083EB82E61E}", $Position=0);
	$id_info = IPS_GetObject($item);
	IPS_SetIdent ($item, $id);
	// IPS_SetName ($item, $name);

	// CreateVariable ($Name, $Type, $Parent, $Position, $Profile, $Action=0, $ValueDefault='', $Icon="")

	CreateVariable("Status", 0, $item, 0, "~Switch", $action_script);
	CreateVariable("Helligkeit", 1, $item, 0, "~Intensity.255", $action_script);
	CreateVariable("Sttigung", 1, $item, 0, "~Intensity.255", $action_script);
	CreateVariable("Hue", 1, $item, 0, "hue_Hue", $action_script);
	$myVar = CreateVariable("ID", 1, $item, 0, "", "",$id);
	IPS_SetHidden ($myVar, True);
	CreateVariable("Temperatur", 1, $item, 0, "hue_Temperature", $action_script);
	CreateVariable("Sttigung", 1, $item, 0, "~Intensity.255", $action_script);

	return $item;
}

?>